Updates the specified task list.

PUThttps://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}
PUT https://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}

Updates the specified task list's name and settings.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

taskListIdstringRequired
format: uuid

The id of the task list.

Request body Required

The task List Put form.

application/json

namestringRequired
minLength: 1 maxLength: 1000

The name of the list.

isHiddenForConnectUsersboolean or nullOptional

True if the task in this list will be not visible for external workspace users. False otherwise. If null, no change will be made.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the task list.

createdOnstringOptional
format: date-time

The date this task list was created.

createdBystringOptional
format: uuid

The id of the user who created this task list.

updatedOnstringOptional
format: date-time

The date this task list was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task list.

namestring or nullOptional

The name of the list.

ordernumber or nullOptional
format: double

The order of the list.

plannedDurationinteger or nullOptional
format: int32

The planned duration for this task list, in seconds.

totalPlannedDurationinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this tacklist as PrimaryTaskListId), in seconds. Calculated: sum PlannedDuration of primary tasks in list Archived task lists are not included in the calculation.

totalPlannedDurationWithHierarchyinteger or nullOptional
format: int64

The total planned duration for this task list, including all primary tasks (parent tasks which have this task list as PrimaryTaskListId), in seconds. Calculated: max(PlannedDuration, sum TotalPlannedDurationWithHierarchy of primary tasks in list) Archived task lists are not included in the calculation.

isArchivedbooleanOptional

Whether the task list has been archived.

isHiddenForConnectUsersbooleanOptional

True if the task in this list will be not visible for external workspace users. False otherwise.

trackedDurationintegerOptional
format: int32

The total duration of time trackings for tasks in this task list, in seconds. Includes both billable and non-billable time trackings. Backend-calculated property. When hierarchy feature flag is enabled: only tasks with PrimaryTaskListId == this list. When hierarchy feature flag is disabled: all tasks associated with this list.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation